"use strict";
const common_vendor = require("../../common/vendor.js");
const INDEX_owner_audit_list_method = require("./method.js");
const INDEX_owner_audit_list_model = require("./model.js");
require("../../common/libraries/apiLoading.js");
require("../../gen/Apis.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../common/libraries/setTabBar.js");
require("../../common/store/useWorkStore.js");
if (!Array) {
  const _easycom_cc_scroll_loading2 = common_vendor.resolveComponent("cc-scroll-loading");
  _easycom_cc_scroll_loading2();
}
const _easycom_cc_scroll_loading = () => "../../common/components/cc-scroll-loading/cc-scroll-loading.js";
if (!Math) {
  (MyTabs + MyOwnerAuditList + MyHouseRegistersList + _easycom_cc_scroll_loading)();
}
const MyOwnerAuditList = () => "./components/OwnerAuditList.js";
const MyHouseRegistersList = () => "./components/HouseRegistersList.js";
const MyTabs = () => "./components/Tabs.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onLoad((opt) => {
      var _a;
      INDEX_owner_audit_list_model.useModel.dataList.value = [];
      INDEX_owner_audit_list_model.useModel.currentTabs.value = (opt == null ? void 0 : opt.type) === "1" ? 1 : 0;
      (_a = INDEX_owner_audit_list_method.method) == null ? void 0 : _a.handleLoadMore(1);
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k;
      return common_vendor.e({
        a: ((_b = (_a = common_vendor.unref(INDEX_owner_audit_list_model.useModel)) == null ? void 0 : _a.currentTabs) == null ? void 0 : _b.value) === 0
      }, ((_d = (_c = common_vendor.unref(INDEX_owner_audit_list_model.useModel)) == null ? void 0 : _c.currentTabs) == null ? void 0 : _d.value) === 0 ? {} : {}, {
        b: ((_f = (_e = common_vendor.unref(INDEX_owner_audit_list_model.useModel)) == null ? void 0 : _e.currentTabs) == null ? void 0 : _f.value) === 1
      }, ((_h = (_g = common_vendor.unref(INDEX_owner_audit_list_model.useModel)) == null ? void 0 : _g.currentTabs) == null ? void 0 : _h.value) === 1 ? {} : {}, {
        c: common_vendor.o((_i = common_vendor.unref(INDEX_owner_audit_list_method.method)) == null ? void 0 : _i.handleLoadMore),
        d: common_vendor.p({
          meta: (_k = (_j = common_vendor.unref(INDEX_owner_audit_list_model.useModel)) == null ? void 0 : _j.meta) == null ? void 0 : _k.value
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-customer/src/INDEX/owner_audit_list/index.vue"]]);
wx.createPage(MiniProgramPage);
